using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Resource
{
    /// <summary>
    /// 酒店数据表
    /// </summary>
    [SugarTable("Res_HotelData")]
    public class Res_HotelData:EntityBase
    {
        /// <summary>
        /// 所在城市
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string City { get; set; }
        /// <summary>
        /// 酒店名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string Name { get; set; }
        /// <summary>
        /// 酒店星级
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string Level { get; set; }
        /// <summary>
        /// 酒店地址
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string Address { get; set; }
        /// <summary>
        /// 酒店电话
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(20)")]
        public string Tel { get; set; }
        /// <summary>
        /// 酒店传真
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Fax { get; set; }
        /// <summary>
        /// 联系人
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Contact { get; set; }
        /// <summary>
        /// 联系方式
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(20)")]
        public string ContactPhone { get; set; }
        /// <summary>
        /// 酒店其他信息
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string OtherInformation { get; set; }
    }
}
